package J20250717.demo02_interface;

/**
 * @author WanJl
 * @version 1.0
 * @title BirdMan
 * @description 鸟人
 * @create 2025/7/17
 */
//鸟人继承人类，实现移动的接口，重写飞行的方法
public class BirdMan extends Person implements Fly ,Swim{

    @Override
    public void fly() {
        System.out.println("鸟人....我会飞...");
    }

    @Override
    public void swim() {
        System.out.println("鸟人...还会游泳...");
    }
}
